Главная
   Документация
      Ansible
      Asterisk
      CentOS
      Debian
      Docker
      FreeBSD
      MySQL
      openHAB
      PostgreSQL
      Raspberry Pi
      Ubuntu
      WWW
      zoneminder
      Разное




Главная Документация Ubuntu › Ставим php 7.1 или 7.2 на Ubuntu 16.04

Ставим php 7.1 или 7.2 на Ubuntu 16.04.

Автор:

Статья написана 2018-02-08 11:48:53
Последние правки 2018-02-08 12:18:07

Для Ubuntu 16.04, на момент написания статьи, "стандартным" является PHP 7.0, мы же поставим PHP 7.1 или PHP 7.2.

  • Исходные данные
    ~# cat /etc/os-release
    ...
    Ubuntu 16.04.3 LTS
    ...
    

  • PHP 7.1
    # apt-get install software-properties-common
    # add-apt-repository ppa:ondrej/php
    # apt-get update
    # apt-get install -y php7.1
    

  • PHP 7.2
    # apt-get install software-properties-common
    # add-apt-repository ppa:ondrej/php
    # apt-get update
    # apt-get install -y php7.2
    

Связанные странички:
Ubuntu pecl install mcrypt-1.0.1 для php 7.2
Устанавливаем zoneminder на Ubuntu
Установка PHP 5.2 на CentOS 5.6 x64
sox FAIL formats: no handler for file extension mp3 (Ubuntu)
Настраиваем сеть в Ubuntu 18.04
Ubuntu: no server suitable for synchronization found
Устанавливаем Kubuntu с флешки в режиме UEFI.
Debian - установка и настройка PHP 5.2
Debian, Ubuntu apt - ошибка KEYEXPIRED
Установка Ansible на Ubuntu 18.04